#include <bits/stdc++.h>
using namespace std;
int a, b, L, tr;
int main() {
    cin>>a>>b>>L;
    for(int k=a+b; k<=L; k++){
        for(int x=1; x<L; x++){
            for(int y=1; y<L; y++){
                if(a*x+b*y==k){
                    tr++;
                }
            }
        }
    }
    cout<<L-tr<<endl;
	return 0;
}
